<html>
<head>
<title>Ogre::RadixSort&lt; TContainer, TContainerValueType, TCompValueType &gt;::SortEntry Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RadixSort.html">RadixSort</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html">SortEntry</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RadixSort&lt; TContainer, TContainerValueType, TCompValueType &gt;::SortEntry Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RadixSort::SortEntry" -->
<p><code>#include &lt;<a class="el" href="OgreRadixSort_8h_source.html">OgreRadixSort.h</a>&gt;</code></p>

<p><a href="structOgre_1_1RadixSort_1_1SortEntry-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#a2e33f6562eeda7b1d7a6a82492423c03">SortEntry</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#a14793930d53046b5ba9bd53f8cb9084a">SortEntry</a> (TCompValueType k, <a class="el" href="classOgre_1_1RadixSort.html#ae6832006de9925d59d8795d4f708f08f">ContainerIter</a> it)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">TCompValueType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#a6f46a958afebbd47ff723551f9893d83">key</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RadixSort.html#ae6832006de9925d59d8795d4f708f08f">ContainerIter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#ae2f0a6d95f201f252c0c555e606268a8">iter</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;class TContainer, class TContainerValueType, typename TCompValueType&gt;<br/>
struct Ogre::RadixSort&lt; TContainer, TContainerValueType, TCompValueType &gt;::SortEntry</h3>


<p>Definition at line <a class="el" href="OgreRadixSort_8h_source.html#l00103">103</a> of file <a class="el" href="OgreRadixSort_8h_source.html">OgreRadixSort.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2e33f6562eeda7b1d7a6a82492423c03"></a><!-- doxytag: member="Ogre::RadixSort::SortEntry::SortEntry" ref="a2e33f6562eeda7b1d7a6a82492423c03" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class TContainer, class TContainerValueType, typename TCompValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RadixSort.html">Ogre::RadixSort</a>&lt; TContainer, TContainerValueType, TCompValueType &gt;::<a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#a2e33f6562eeda7b1d7a6a82492423c03">SortEntry::SortEntry</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRadixSort_8h_source.html#l00107">107</a> of file <a class="el" href="OgreRadixSort_8h_source.html">OgreRadixSort.h</a>.</p>

</div>
</div>
<a class="anchor" id="a14793930d53046b5ba9bd53f8cb9084a"></a><!-- doxytag: member="Ogre::RadixSort::SortEntry::SortEntry" ref="a14793930d53046b5ba9bd53f8cb9084a" args="(TCompValueType k, ContainerIter it)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class TContainer, class TContainerValueType, typename TCompValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RadixSort.html">Ogre::RadixSort</a>&lt; TContainer, TContainerValueType, TCompValueType &gt;::<a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#a2e33f6562eeda7b1d7a6a82492423c03">SortEntry::SortEntry</a> </td>
          <td>(</td>
          <td class="paramtype">TCompValueType&#160;</td>
          <td class="paramname"><em>k</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RadixSort.html#ae6832006de9925d59d8795d4f708f08f">ContainerIter</a>&#160;</td>
          <td class="paramname"><em>it</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRadixSort_8h_source.html#l00108">108</a> of file <a class="el" href="OgreRadixSort_8h_source.html">OgreRadixSort.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae2f0a6d95f201f252c0c555e606268a8"></a><!-- doxytag: member="Ogre::RadixSort::SortEntry::iter" ref="ae2f0a6d95f201f252c0c555e606268a8" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class TContainer, class TContainerValueType, typename TCompValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RadixSort.html#ae6832006de9925d59d8795d4f708f08f">ContainerIter</a> <a class="el" href="classOgre_1_1RadixSort.html">Ogre::RadixSort</a>&lt; TContainer, TContainerValueType, TCompValueType &gt;::<a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#ae2f0a6d95f201f252c0c555e606268a8">SortEntry::iter</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRadixSort_8h_source.html#l00106">106</a> of file <a class="el" href="OgreRadixSort_8h_source.html">OgreRadixSort.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6f46a958afebbd47ff723551f9893d83"></a><!-- doxytag: member="Ogre::RadixSort::SortEntry::key" ref="a6f46a958afebbd47ff723551f9893d83" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class TContainer, class TContainerValueType, typename TCompValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">TCompValueType <a class="el" href="classOgre_1_1RadixSort.html">Ogre::RadixSort</a>&lt; TContainer, TContainerValueType, TCompValueType &gt;::<a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#a6f46a958afebbd47ff723551f9893d83">SortEntry::key</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRadixSort_8h_source.html#l00105">105</a> of file <a class="el" href="OgreRadixSort_8h_source.html">OgreRadixSort.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRadixSort_8h_source.html">OgreRadixSort.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
